/*
* THIS DEMOS IS BASED ON Roberto Lopez idea (2017) 
*/

#include <hmg.ch>
#include "hfcl.ch"

Function Main

   SET DATE BRITISH
   SET DELETE OFF
   SET CENTURY ON
   SET TOOLTIPSTYLE BALLOON 
   SET TOOLTIPBACKCOLOR { 250, 250, 210}
   SET NAVIGATION EXTENDED
	SET SCROLLSTEP TO 10
//   SET CODEPAGE TO SPANISH	PUT YOUR LANGUAGE
//   SET LANGUAGE TO SPANISH  PUT YOUR LANGUAGE


// INSTEAD OF ASIGNING YOUR FILE NAME WRITING ON THIS APP YOU CAN USE SAVE TO AND RESTORE FUNCTIONS TO SPECIFY cfilename on a .MEM FILE
   cfile := 'HMG-HELP.PDF'
   
   PRIVATE pantancho := GetDesktopWidth()
   PRIVATE pantalto := GetDesktopHeight()   
 
   centrador := pantancho - 1024
   PRIVATE ctr := INT(centrador / 2)  

	DEFINE WINDOW PRINCIPAL ;
		ROW 9 ;
		COL ctr ;
		WIDTH 1024 ;
		HEIGHT 720 ;
		MAIN ;
      NOSIZE ;
      NOSYSMENU ;
      NOCAPTION ;
      BACKCOLOR { 250,241,228 }      

      DEFINE IMAGE MARCO_IZQ
         ROW	0
         COL	0
         WIDTH	6
         HEIGHT 720
         PICTURE	'MARCO_IZQ' 
         STRETCH	.T.
      END IMAGE         

      DEFINE IMAGE MARCO_DER
         ROW	0  
         COL	1013
         WIDTH	11
         HEIGHT 720
         PICTURE	'MARCO_DER' 
         STRETCH	.T.
      END IMAGE         
      
      DEFINE IMAGE MARCO_SUP
         ROW	0
         COL	0
         WIDTH	1024
         HEIGHT 43
         PICTURE	'MARCO_SUP' 
         STRETCH	.T.
      END IMAGE         

      DEFINE IMAGE MARCO_INF
         ROW	675   
         COL	0
         WIDTH	1024
         HEIGHT 45
         PICTURE	'MARCO_INF' 
         STRETCH	.T.
      END IMAGE         

      @ 2, 0 LABEL TITU_01 VALUE 'PDFVIEWER (Roberto Lopez idea 2017)' WIDTH 1024 FONT 'ARIAL' BOLD SIZE 10 FONTCOLOR { 128,0,0 } TRANSPARENT CENTERALIGN
      @ 24, 0 LABEL TITU_02 VALUE 'Document: ' + UPPER(cfile) WIDTH 1024 FONT 'ARIAL' SIZE 9 FONTCOLOR { 0,0,0 } TRANSPARENT CENTERALIGN
      
   @ 683, 640 LABEL SUMATRA_BOOKMARKS ;
         WIDTH 130 HEIGHT 26 ;
         VALUE '' ;
         ACTION ( ACTIV_BOOK() ) ;
         TOOLTIP 'Show / Hide BookMarks' ;
         TRANSPARENT 
      
   @ 683, 822 LABEL SUMATRA_SALIDA ;
         WIDTH 130 HEIGHT 26 ;
         VALUE '' ;
         ACTION ( PRINCIPAL.RELEASE ) ;
         TOOLTIP 'Exit PdfViewer' ;
         TRANSPARENT 
      
  		DEFINE WINDOW PdfView ;
			ROW 47 ;
			COL 10 ;
			WIDTH 1000 ;
			HEIGHT 625 ;
			PANEL ; 
         BACKCOLOR { 250,241,228 } 
      END WINDOW 
      
      END WINDOW 

      cHwnd := ALLTRIM( STR( GETFORMHANDLE( 'PdfView' ) ) )

      EXECUTE FILE 'SumatraPDF.exe' PARAMETERS '-lang en -plugin ' + cHwnd + ' ' + cfile

  	   Activate Window PRINCIPAL

RETURN

FUNCTION Sumatra_Bookmarks(nHPdfView)
  LOCAL nHSumatraFrame

  DO WHILE (nHSumatraFrame := FindWindowEx(nHPdfView, 0, "SUMATRA_PDF_FRAME", 0)) == 0
    HB_IdleSleep(0.05)
  ENDDO

  PostMessage(nHSumatraFrame, 273 /*WM_COMMAND*/, 417 /*IDM_VIEW_BOOKMARKS*/, 0)

RETURN NIL

FUNCTION ACTIV_BOOK
      Sumatra_Bookmarks(PdfView.HANDLE)
RETURN nil